Skip to main content
PATCH
/
v1
/
return_requests
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/return_requests/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "return_request": {
    "metadata": {
      "test": "test"
    }
  }
}
'
import requests

url = "https://{defaultHost}/v1/return_requests/{id}"

payload = { "return_request": { "metadata": { "test": "test" } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({return_request: {metadata: {test: 'test'}}})
};

fetch('https://{defaultHost}/v1/return_requests/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "33bccecb-16d3-4197-9a77-02f7895b2d96",
  "object": "return_request",
  "number": "0000-R",
  "status": "open",
  "order": "c527755d-0953-47ab-8995-bffcf7b9e402",
  "created_at": 1782485893,
  "updated_at": 1782485893
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
return_request
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

number
string

The unique identifier for this return request that is auto generated based on this account's order protocol.

order

Expandable – The associated order ID.

return_items

Expandable – Property not returned unless expanded.

status
string

The current status of this return request – either open or complete.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.